package cn.ibizlab.core.uaa.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.util.domain.EntityBase;
import cn.ibizlab.util.annotation.DEField;
import cn.ibizlab.util.enums.DEPredefinedFieldType;
import cn.ibizlab.util.enums.DEFieldDefaultValueType;
import java.io.Serializable;
import lombok.Data;
import org.springframework.data.annotation.Transient;


import com.baomidou.mybatisplus.annotation.*;
import cn.ibizlab.util.domain.EntityMP;

/**
 * 实体[系统菜单项]
 */
@Data
@TableName(value = "IBZPSAPPMENUITEM",resultMap = "SYS_PSAPPMENUITEMResultMap")
public class SYS_PSAPPMENUITEM extends EntityMP implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 系统菜单项标识
     */
    @DEField(name = "sys_psappmenuitemid" , isKeyField=true)
    @TableId(value= "sys_psappmenuitemid",type=IdType.UUID)
    @JSONField(name = "appmenuitemid")
    @JsonProperty("appmenuitemid")
    private String appmenuitemid;
    /**
     * 系统菜单项名称
     */
    @DEField(name = "sys_psappmenuitemname")
    @TableField(value = "sys_psappmenuitemname")
    @JSONField(name = "appmenuitemname")
    @JsonProperty("appmenuitemname")
    private String appmenuitemname;
    /**
     * 业务系统应用标识
     */
    @TableField(value = "psappid")
    @JSONField(name = "psappid")
    @JsonProperty("psappid")
    private String psappid;
    /**
     * 业务系统应用名称
     */
    @TableField(value = "psappname")
    @JSONField(name = "psappname")
    @JsonProperty("psappname")
    private String psappname;
    /**
     * 业务系统菜单标识
     */
    @TableField(value = "psappmenuid")
    @JSONField(name = "psappmenuid")
    @JsonProperty("psappmenuid")
    private String psappmenuid;
    /**
     * 业务系统菜单项标识
     */
    @TableField(value = "psappmenuitemid")
    @JSONField(name = "psappmenuitemid")
    @JsonProperty("psappmenuitemid")
    private String psappmenuitemid;
    /**
     * 业务系统父菜单项标识
     */
    @TableField(value = "psapppmenuitemid")
    @JSONField(name = "psapppmenuitemid")
    @JsonProperty("psapppmenuitemid")
    private String psapppmenuitemid;
    /**
     * 业务系统菜单名称
     */
    @TableField(value = "psappmenuname")
    @JSONField(name = "psappmenuname")
    @JsonProperty("psappmenuname")
    private String psappmenuname;
    /**
     * 业务系统标识
     */
    @TableField(value = "pssystemid")
    @JSONField(name = "pssystemid")
    @JsonProperty("pssystemid")
    private String pssystemid;
    /**
     * 建立时间
     */
    @DEField(preType = DEPredefinedFieldType.CREATEDATE)
    @TableField(value = "createdate" , fill = FieldFill.INSERT)
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;
    /**
     * 更新时间
     */
    @DEField(preType = DEPredefinedFieldType.UPDATEDATE)
    @TableField(value = "updatedate")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;



    /**
     * 设置 [系统菜单项名称]
     */
    public void setAppmenuitemname(String appmenuitemname){
        this.appmenuitemname = appmenuitemname ;
        this.modify("sys_psappmenuitemname",appmenuitemname);
    }
    /**
     * 设置 [业务系统应用标识]
     */
    public void setPsappid(String psappid){
        this.psappid = psappid ;
        this.modify("psappid",psappid);
    }
    /**
     * 设置 [业务系统应用名称]
     */
    public void setPsappname(String psappname){
        this.psappname = psappname ;
        this.modify("psappname",psappname);
    }
    /**
     * 设置 [业务系统菜单标识]
     */
    public void setPsappmenuid(String psappmenuid){
        this.psappmenuid = psappmenuid ;
        this.modify("psappmenuid",psappmenuid);
    }
    /**
     * 设置 [业务系统菜单项标识]
     */
    public void setPsappmenuitemid(String psappmenuitemid){
        this.psappmenuitemid = psappmenuitemid ;
        this.modify("psappmenuitemid",psappmenuitemid);
    }
    /**
     * 设置 [业务系统父菜单项标识]
     */
    public void setPsapppmenuitemid(String psapppmenuitemid){
        this.psapppmenuitemid = psapppmenuitemid ;
        this.modify("psapppmenuitemid",psapppmenuitemid);
    }
    /**
     * 设置 [业务系统菜单名称]
     */
    public void setPsappmenuname(String psappmenuname){
        this.psappmenuname = psappmenuname ;
        this.modify("psappmenuname",psappmenuname);
    }
    /**
     * 设置 [业务系统标识]
     */
    public void setPssystemid(String pssystemid){
        this.pssystemid = pssystemid ;
        this.modify("pssystemid",pssystemid);
    }
}






